Subject: Re: bug#30447: Fwd: parted 3.2: Error: FPE_INTDIV (Integer: divide by zero)[1] 4833 abort (core dumped)

From: Alex March <[email-masked]>
Date: Wed, 21 Feb 2018 08:42:08 +0000

Hi,

I'm sorry I should have clarified. The "parted /dev/sdc..." output has been copied after the crash, this is what parted crash message suggested to run and copy-paste into the bug report.

The crash happened right after the quit command. I have rebooted the machine since yesterday and having a hard time reproducing the problem.

On Wed, 14 Feb 2018, at 19:24, Phil Susi wrote:
> On 2/13/2018 1:33 PM, Alex March wrote:
> > 
> > 
> > ----- Original message -----
> > From: Alex March <[email-masked]>
> > To: [email-masked]
> > Subject: parted  3.2: Error: FPE_INTDIV (Integer: divide by zero)[1]    4833 abort (core dumped)
> > Date: Tue, 13 Feb 2018 18:32:03 +0000
> > 
> > Hi,
> > 
> > Latest 3.2 version.
> > 
> > % sudo parted /dev/sdc unit co print unit s print
> > [sudo] password for march: 
> > Model: Seagate Expansion (scsi)
> > Disk /dev/sdc: 2000GB
> > Sector size (logical/physical): 512B/4096B
> > Partition Table: msdos
> > Disk Flags: 
> > 
> > Number  Start   End     Size    Type     File system  Flags
> >  1      1049kB  2000GB  2000GB  primary  ntfs
> > 
> > Model: Seagate Expansion (scsi)
> > Disk /dev/sdc: 3907029167s
> > Sector size (logical/physical): 512B/4096B
> > Partition Table: msdos
> > Disk Flags: 
> > 
> > Number  Start  End          Size         Type     File system  Flags
> >  1      2048s  3907028991s  3907026944s  primary  ntfs
> 
> I assume this is the point where you manually typed "print devices"
> without indicating that in your original message?
> 
> > Command History:
> > list
> > print
> > print devices
> > exit
> > quit
> > 
> > Error: FPE_INTDIV (Integer: divide by zero)[1]    4833 abort (core dumped)  parted
> 
> The error happened after you tried to quit?  Can you try to reduce the
> reproduction steps to be as simple as possible?  For instance, leave out
> the print devices and list commands if they are not required?
>